Subject: Re: [PATCH 00/11] Allow reference values to be checked in a transaction

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2015 12:45:58 -0800

Michael Haggerty <[email-masked]> writes:

> On 02/09/2015 08:05 PM, Stefan Beller wrote:
>> On Mon, Feb 9, 2015 at 10:41 AM, Junio C Hamano <[email-masked]> wrote:
>>> Michael Haggerty <[email-masked]> writes:
>>>> [...]
>>>> This patch series applies on top of master merged together with
>>>> sb/atomic-push, which in turn depends on mh/reflog-expire.
>>>
>>> I am a bit puzzled by your intentions, so help me out.
>>>
>>> I see that your understanding is that Stefan will be rerolling the
>>> push atomicity thing; wouldn't we then want to have a "fix and
>>> clean" topic like this one first and build the push atomicity thing
>>> on top instead?
>> 
>> My understanding is to not reroll origin/sb/atomic-push, but
>> origin/sb/atomic-push-fix (which is worded misleading. It is not about
>> atomic pushes, but about enabling large transactions in my understanding)
>
> Yes, that is what I thought.
> ...
> Both series have to do with reflogs, but they are logically pretty
> independent. In particular, "Fix some problems with reflog expiration"
> fixes problems that existed before mh/reflog-expire. And considering
> that one topic is quite mature whereas the the other is just making its
> debut, it seemed like yoking them together would slow down the first
> topic for no good reason.
> ...
> I expected that mh/reflog-expire and sb/atomic-push would be merged
> pretty early in the 2.4 cycle (they are both in next already). Junio, is
> that not your plan?

OK, I am glad I asked for clarifications.  It was that I felt uneasy
to see many new "this cleans and fixes" while there are in-flight
topics in the same area.

Thanks.